The Rick and Morty API (via a Zuplo Gateway)
numberstringstring · required
stringstring · requiredinteger · requiredstring · requiredstring · requiredstring · requiredstring[] · requiredstring · requiredstring · required
Get all episodes
GET
https://rickandmorty.zuplo.io
/v1/episodes/
You can access the list of episodes by using the /episodes endpoint.
query Parameters
pagePagination index
namefilter by the given name
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get all episodes › Responses
200
200 OK
object · required
Example: {"count":51,"pages":3,"next":"https://rickandmorty.zuplo.io/v1/episodes?page=2","prev":null}
Default: {}
object[] · required
Example: {"0":{"id":1,"name":"Pilot","air_date":"December 2, 2013","episode":"S01E01","characters":["https://rickandmorty.zuplo.io/v1/characters/1","https://rickandmorty.zuplo.io/v1/characters/2"],"url":"https://rickandmorty.zuplo.io/v1/episodes/1","created":"2017-11-10T12:56:33.798Z"}}
Default: []
Get episodes by ID(s)
GET
https://rickandmorty.zuplo.io
/v1/episodes/:episodeId
You can get a single episode by ID, or multiple by adding an array of ids as parameter: /episodes/[1,2,3] or /episodes/1,2,3
path Parameters
episodeIdA single numeric ID or multiple IDs, e.g. [1,2,3] or 1,2
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get episodes by ID(s) › Responses
200
200 OK
idExample: 28
Default: 0
nameExample: The Ricklantis Mixup
Default:
air_dateExample: September 10, 2017
Default:
episodeExample: S03E07
Default:
charactersExample: {"0":"https://rickandmorty.zuplo.io/v1/characters/1","1":"https://rickandmorty.zuplo.io/v1/characters/2"}
Default: []
urlExample: https://rickandmorty.zuplo.io/v1/episodes/28
Default:
createdExample: 2017-11-10T12:56:36.618Z
Default:
